## debusine 0.14.1~bpo13%2B1

=== debian/changelog ===
debusine (0.14.1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 17 Dec 2025 08:35:05 -0400

debusine (0.14.1) unstable; urgency=medium

  * New release.  Highlights:
    - Generalize child workspace creation.
    - Add web UI views to manage collections.
    - Add `debusine archive suite create` command.
    - Show input artifacts in web UI for several workflows.
    - Several fixes for EC2 worker pools.
    - Add a tab with regression analysis summaries to QA workflow UI.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Dec 2025 16:18:30 +0000
