## debusine 0.14.1~bpo13+1

=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
  python3-django-channels <!nodoc>,
  python3-django-cte <!nodoc>,
  python3-django-pglocks <!nodoc>,
+ python3-django-pgtransaction <!nodoc>,
  python3-django-pgtrigger <!nodoc>,
  python3-django-prometheus <!nodoc>,
  python3-djangorestframework (>= 3.16.0) <!nodoc>,
