## debusine 0.14.2~bpo13+1

=== debian/changelog ===
debusine (0.14.2~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Colin Watson <cjwatson@debian.org>  Thu, 08 Jan 2026 11:04:29 +0000

debusine (0.14.2) unstable; urgency=medium

  * New release.  Highlights:
    - Many fixes for cloud workers.
    - Improve presentation of text and log files.
    - Accept pytest 9 instead of pytest-subtests (closes: #1124127).
    - dput-ng configuration for debusine.debian.net: Automatically map any
      known distribution to a workflow template named
      `upload-to-{distribution}`.

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 Jan 2026 10:36:38 +0000
