=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  python3-argcomplete <!nocheck>,
  python3-boto3 (>= 1.36.0) <!nodoc>,
  python3-botocore <!nodoc>,
- python3-celery <!nodoc>,
+ python3-celery (>= 5.5.0) <!nodoc>,
  python3-channels-redis <!nodoc>,
  python3-configobj <!nodoc>,
  python3-coverage (>= 7.6.0) <!nocheck>,
@@ -63,10 +63,10 @@
  python3-pyftpdlib <!nocheck>,
  python3-pygments <!nodoc>,
  python3-pytest <!nocheck>,
+ python3-pytest (>= 9.0.0) <!nocheck> | python3-pytest-subtests <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-django <!nocheck>,
- python3-pytest-subtests <!nocheck>,
  python3-pytest-xdist <!nocheck>,
  python3-requests <!nocheck>,
  python3-requests-file <!nocheck> <!nodoc>,
@@ -78,6 +78,7 @@
  python3-sphinx-copybutton <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-tenacity <!nodoc>,
+ python3-unidiff <!nocheck>,
  python3-urllib3 (>= 2.0.0) <!nodoc>,
  python3-uvicorn <!nodoc>,
  python3-yaml <!nodoc>,
