=== debian/changelog ===
debusine (0.14.3~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 28 Jan 2026 16:19:51 -0400

debusine (0.14.3) unstable; urgency=medium

  * New release.  Highlights:
    - Drop support for jessie and trusty environments.
    - Link to archives from the workspace detail view.
    - Performance improvements.
    - Groups can now be workspace-scoped.
    - Drop support for pydantic 1.x.
    - Add support for Python 3.14.
  * Limit number of workers used by unit-tests-server (closes: #1125791).

 -- Stefano Rivera <stefanor@debian.org>  Mon, 26 Jan 2026 10:43:44 -0400
