## debusine 0.14.3

=== debian/control ===
--- 
+++ 
@@ -46,7 +46,7 @@
  python3-fabric <!nocheck> <!nodoc>,
  python3-fasteners <!nodoc>,
  python3-hatch-vcs,
- python3-hatchling,
+ python3-hatchling (>= 1.26.0),
  python3-hcloud <!nocheck> <!nodoc>,
  python3-jsonpath-rw <!nodoc>,
  python3-jwcrypto <!nocheck>,
@@ -59,7 +59,8 @@
  python3-prometheus-client <!nocheck> <!nodoc>,
  python3-psutil <!nocheck> <!nodoc>,
  python3-psycopg-c <!nodoc>,
- python3-pydantic <!nodoc>,
+ python3-pydantic (>= 2.10.0) <!nodoc>,
+ python3-pydantic-core <!nodoc>,
  python3-pyftpdlib <!nocheck>,
  python3-pygments <!nodoc>,
  python3-pytest <!nocheck>,
