## debusine 0.14.4

=== docs/Makefile ===
--- 
+++ 
@@ -15,8 +15,6 @@
 .PHONY: help Makefile
 
 linkcheck:
-	# sphinx version 4.1 (Bookworm) has the option "linkcheck_allowed_redirects"
-	# (https://www.sphinx-doc.org/en/master/usage/configuration.html#confval-linkcheck_allowed_redirects)
 	@$(SPHINXBUILD) -b linkcheck "$(SOURCEDIR)" "$(LINKCHECKOUTPUTDIR)" -q
 	echo "sphinx linkcheck report available in $(LINKCHECKOUTPUTDIR)"
