=== debian/changelog ===
debusine (0.14.4) unstable; urgency=medium

  * New release.  Highlights:
    - DebDiff improvements.
    - Hopefully fix a timeout in SFTP tests (closes: #1126585).

 -- Stefano Rivera <stefanor@debian.org>  Fri, 30 Jan 2026 11:20:29 -0400
