=== debian/tests/control ===
Tests: unit-tests-tasks
Depends:
 python3-debusine,
 python3-lxml,
 python3-pytest,
 python3-pytest (>= 9.0.0) | python3-pytest-subtests,
 python3-pytest-asyncio,
 python3-pytest-xdist,
 python3-responses,
Restrictions: allow-stderr

Tests: unit-tests-client
Depends:
 debusine-client,
 dput-ng,
 git,
 python3-lxml,
 python3-pytest,
 python3-pytest (>= 9.0.0) | python3-pytest-subtests,
 python3-pytest-asyncio,
 python3-pytest-xdist,
 python3-responses,
Restrictions: allow-stderr

Tests: unit-tests-worker
Depends:
 debusine-worker,
 python3-lxml,
 python3-pytest,
 python3-pytest (>= 9.0.0) | python3-pytest-subtests,
 python3-pytest-asyncio,
 python3-pytest-xdist,
 python3-responses,
Restrictions: allow-stderr

Tests: unit-tests-server
Depends:
 dbconfig-no-thanks,
 debusine-server,
 postgresql,
 python3-daphne,
 python3-lxml,
 python3-paramiko,
 python3-pyftpdlib,
 python3-pytest,
 python3-pytest (>= 9.0.0) | python3-pytest-subtests,
 python3-pytest-asyncio,
 python3-pytest-django,
 python3-pytest-xdist,
 python3-responses,
 redis-server,
Restrictions: allow-stderr, needs-root

Tests: unit-tests-signing
Depends:
 dbconfig-no-thanks,
 debusine-signing,
 devscripts,
 postgresql,
 python3-cryptography,
 python3-lxml,
 python3-pytest,
 python3-pytest (>= 9.0.0) | python3-pytest-subtests,
 python3-pytest-asyncio,
 python3-pytest-django,
 python3-pytest-xdist,
 python3-responses,
Restrictions: allow-stderr, needs-root

Tests: integration-tests-workflow-debian-pipeline
Depends:
 autopkgtest,
 ca-certificates,
 debian-archive-keyring,
 debusine-client,
 debusine-server,
 debusine-signing,
 debusine-worker,
 iproute2,
 mmdebstrap,
 nginx,
 postgresql,
 python3-lxml,
 python3-pytest,
 python3-responses,
 redis-server,
 sbuild,
 ssl-cert,
 sudo,
 uidmap,
Restrictions: allow-stderr, needs-root, isolation-container, skippable, needs-internet

Tests: integration-tests-task-simplesystemimagebuild
Architecture: amd64
Depends:
 ca-certificates,
 binutils-for-host | binutils-multiarch,
 debusine-client,
 debusine-server,
 debusine-worker,
 debvm (>= 0.4.4~),
 dosfstools,
 e2fsprogs,
 fdisk,
 linux-image-generic,
 mmdebstrap,
 mount,
 mtools,
 nginx,
 parted,
 postgresql,
 python3-lxml,
 python3-pytest,
 python3-responses,
 qemu-utils,
 redis-server,
 ssl-cert,
 sudo,
 systemd,
 systemd-ukify | systemd (<< 255.1-1),
 uidmap,
 xz-utils,
Restrictions: allow-stderr, needs-root, isolation-container, skippable, needs-internet

Tests: integration-tests-task-signing
Depends:
 ca-certificates,
 debian-archive-keyring,
 debusine-client,
 debusine-server,
 debusine-signing,
 debusine-worker,
 iproute2,
 mmdebstrap,
 nginx,
 postgresql,
 python3-lxml,
 python3-pytest,
 python3-responses,
 redis-server,
 sbsigntool [amd64 arm64 armhf i386 riscv64],
 ssl-cert,
 sudo,
 uidmap,
Restrictions: allow-stderr, needs-root, isolation-container, skippable, needs-internet

Tests: integration-tests-task-aptmirror
Depends:
 apt-utils,
 ca-certificates,
 debusine-client,
 debusine-server,
