## debusine 0.14.4build1

=== debian/changelog ===
debusine (0.14.4build1) resolute; urgency=medium

  * No-change rebuild for gpgme1.0 2.0

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Thu, 19 Feb 2026 18:53:10 +0000
