=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: debusine
 Section: devel
-Priority: optional
 Maintainer: Raphaël Hertzog <raphael@freexian.com>
 Uploaders: Colin Watson <cjwatson@debian.org>, Stefano Rivera <stefanor@debian.org>
 Build-Depends:
@@ -86,11 +85,10 @@
  redis-server <!nocheck>,
  sbsigntool [amd64 arm64 armhf i386 riscv64] <!nocheck>,
  xkcdpass <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://salsa.debian.org/freexian-team/debusine
 Vcs-Browser: https://salsa.debian.org/freexian-team/debusine
 Vcs-Git: https://salsa.debian.org/freexian-team/debusine.git
-Rules-Requires-Root: no
 X-Python3-Version: >= 3.13
 
 Package: python3-debusine
