## debusine 0.14.5~bpo13+1

=== debian/changelog ===
debusine (0.14.5~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 03 Mar 2026 11:29:28 -0400

debusine (0.14.5) unstable; urgency=medium

  * New release.  Highlights:
    - Really fix a timeout in SFTP tests (closes: #1126585).
    - APT Mirroring supports: partial mirrors, translation indices, and
      authentication.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 24 Feb 2026 08:43:21 -0400
