=== debian/control ===
--- 
+++ 
@@ -62,6 +62,7 @@
  python3-pydantic-core <!nodoc>,
  python3-pyftpdlib <!nocheck>,
  python3-pygments <!nodoc>,
+ python3-pyparsing <!nocheck> <!nodoc>,
  python3-pytest <!nocheck>,
  python3-pytest (>= 9.0.0) <!nocheck> | python3-pytest-subtests <!nocheck>,
  python3-pytest-asyncio <!nocheck>,
